ObjectImpl Class Reference

Implementation class for Object. More...

Inherits Object.

Inherited by AppenderSkeleton`[virtual]`, DefaultLoggerFactory`[virtual]`, AppenderAttachableImpl`[virtual]`, CharsetDecoder, CharsetEncoder, DatagramPacket, DatagramSocket, Date, DateFormat, InetAddress, InputStream, Integer, ObjectOutputStream, OnlyOnceErrorHandler`[virtual]`, OutputStream, Reader, ResourceBundle, Socket, TimeZone, Writer, Hierarchy`[virtual]`, Layout`[virtual]`, Level, Logger`[virtual]`, FormattingInfo`[virtual]`, NameAbbreviator, PatternConverter`[virtual]`, PropertyConfigurator`[virtual]`, Action`[virtual]`, RollingPolicyBase`[virtual]`, RolloverDescription, TriggeringPolicy`[virtual]`, DefaultRepositorySelector`[virtual]`, Filter`[virtual]`, LoggingEvent`[virtual]`, FallbackErrorHandler`[virtual]`, and DOMConfigurator`[virtual]`.

## Public Member Functions

| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Protected Attributes

unsigned int volatile | ref

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Detailed Description

Implementation class for Object.

## Constructor & Destructor Documentation

ObjectImpl | ( |  | ) |

virtual ~ObjectImpl | ( |  | ) |

virtual

## Member Function Documentation

void addRef | ( |  | ) | const

virtual

Implements Object.

Reimplemented in DOMConfigurator, TimeBasedRollingPolicy, Logger, PropertyConfigurator, Hierarchy, Filter, RollingPolicyBase, FallbackErrorHandler, OnlyOnceErrorHandler, TriggeringPolicy, Layout, and DefaultRepositorySelector.

void releaseRef | ( |  | ) | const

virtual

Implements Object.

Reimplemented in DOMConfigurator, TimeBasedRollingPolicy, Logger, PropertyConfigurator, Hierarchy, Filter, RollingPolicyBase, FallbackErrorHandler, OnlyOnceErrorHandler, TriggeringPolicy, Layout, and DefaultRepositorySelector.

## Member Data Documentation

unsigned int volatile ref

mutable protected

The documentation for this class was generated from the following file:

- objectimpl.h